org.apache.jmeter.util

## Class Document

- java.lang.Object
- - org.apache.jmeter.util.Document

    public class Document
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Document()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getTextFromDocument(byte[] document)` Convert to text plain a lot of kind of document (like odt, ods, odp, doc(x), xls(x), ppt(x), pdf, mp3, mp4, etc.) with Apache Tika

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Document

    public Document()

### Method Detail

#### getTextFromDocument

    public static String getTextFromDocument(byte[] document)

Convert to text plain a lot of kind of document (like odt, ods, odp, doc(x), xls(x), ppt(x), pdf, mp3, mp4, etc.) with Apache Tika

Parameters:
  `document` - binary representation of the document
Returns:
  text from document without format